	<div class="blockform">
		<h2><span>New ban</span></h2>
		<div class="box">
			<form id="bans" method="post" action="<%= url_for :action => 'new' %>">
				<div class="inform">
					<fieldset>
						<legend>Add ban</legend>
						<div class="infldset">
							<table class="aligntop" cellspacing="0">
								<tr>
									<th scope="row">Username<div><input type="submit" name="add_ban" value=" Add " tabindex="2" /></div></th>
									<td>
										<input type="text" name="ban[username]" size="25" maxlength="25" tabindex="1" />
										<span>The username to ban (case insensitive). The next page will let you enter a custom IP and e-mail. If you just want to ban a specific IP/IP-range or e-mail just leave it blank.</span>
									</td>
								</tr>
							</table>
						</div>
					</fieldset>
				</div>
			</form>
		</div>

		<h2 class="block2"><span>Existing bans</span></h2>
		<div class="box">
			<div class="fakeform">
<%
  if @bans.length > 0
    for ban in @bans
      #expire = format_time(ban.expire, true);
      expire = ban.expire || "never"
-%>
				<div class="inform">
					<fieldset>
						<legend>Ban expires: <%= expire %></legend>
						<div class="infldset">
							<table cellspacing="0">
<% if ban.username != '' -%>
								<tr>
									<th>Username</th>
									<td><%=h ban.username %></td>
								</tr>
<% end -%>
<% if ban.email != '' -%>
								<tr>
									<th>E-mail</th>
									<td><%= ban.email %></td>
								</tr>
<% end -%>
<% if ban.ip != '' -%>
								<tr>
									<th>IP/IP-ranges</th>
									<td><%= ban.ip %></td>
								</tr>
<% end -%>
<% if ban.message != '' -%>
								<tr>
									<th>Reason</th>
									<td><%=h ban.message %></td>
								</tr>
<% end -%>
							</table>
							<p class="linkactions"><a href="<%= url_for :action => 'edit', :id => ban.id %>">Edit</a> - <a href="<%= url_for :action => 'destroy', :id => ban.id %>">Remove</a></p>
						</div>
					</fieldset>
				</div>
<%
    end
  else
-%>
				<p>No bans in list.</p>
<% end -%>
			</div>
		</div>
	</div>
	<div class="clearer"></div>
</div>
